JavaLogger
Keywords: com.prolixtech.utils.JavaLogger class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.prolixtech.utils
Class JavaLogger

    java.lang.Object
      com.prolixtech.utils.JavaLogger

All Implemented Interfaces:
  MboxLogger

    public class JavaLogger

extends java.lang.Object
implements MboxLogger

This class provides a single logging utility used for debugging purposes. It delegates most of its work to the java logging system, however it is made a singleton here so that it can be used throughout the application.

Author:
  Constantinos Michael

Method Summary
`void` | `baloon(java.lang.String msg, java.lang.String title)`
`void` | `disableBaloons()`
`void` | `exception(java.util.logging.Level x, java.lang.String msg, java.lang.Exception e)`
`void` | `exception(java.lang.String msg, java.lang.Exception e)`
`void` | `fine(java.lang.String msg)` Shortcut to submit a log message at the level FINE
`java.util.logging.Logger` | `getLogger()` For manual submission directly to the logger
`void` | `http(Request req, java.lang.String msg)` Specialized submit for HTTP messages
`void` | `info(java.lang.String msg)` Shortcut to submit a log message at the level INFO
`static MboxLogger` | `Instance()` Pertains to the Singleton DESIGN PATTERN.
`void` | `log(java.util.logging.Level vel, java.lang.String msg)` The main logging function is set by default to output to the console.
`void` | `severe(java.lang.String msg)` Shortcut to submit a log message at the level SEVERE
`void` | `sql(java.lang.String msg)` Specialized submit for SQL messages
`void` | `warning(java.lang.String msg)` Shortcut to submit a log message at the level WARNING

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### Instance

    public static MboxLogger Instance()

  Pertains to the Singleton DESIGN PATTERN.

  Returns:
    the singleton instance

### getLogger

    public java.util.logging.Logger getLogger()

  For manual submission directly to the logger

  Returns:
    the logger of this singleton

### log

    public void log(java.util.logging.Level vel,
                    java.lang.String msg)

  The main logging function is set by default to output to the console. If we require better logging in the future, perhaps a number of streams will be made. The default operation prints the last function called (gets it through a stacktrace) the message, the time.

  Specified by:
    `log` in interface `MboxLogger`
  Parameters:
    `vel` - the level of the message to log.
    `msg` - the message to log.
  See Also:
    `Level`

### fine

    public void fine(java.lang.String msg)

  Shortcut to submit a log message at the level FINE

  Specified by:
    `fine` in interface `MboxLogger`
  Parameters:
    `msg` - the message to submit

### severe

    public void severe(java.lang.String msg)

  Shortcut to submit a log message at the level SEVERE

  Specified by:
    `severe` in interface `MboxLogger`
  Parameters:
    `msg` - the message to submit

### warning

    public void warning(java.lang.String msg)

  Shortcut to submit a log message at the level WARNING

  Specified by:
    `warning` in interface `MboxLogger`
  Parameters:
    `msg` - the message to submit

### info

    public void info(java.lang.String msg)

  Shortcut to submit a log message at the level INFO

  Specified by:
    `info` in interface `MboxLogger`
  Parameters:
    `msg` - the message to submit

### sql

    public void sql(java.lang.String msg)

  Specialized submit for SQL messages

  Specified by:
    `sql` in interface `MboxLogger`
  Parameters:
    `msg` - the message to submit

### http

    public void http(Request req,
                     java.lang.String msg)

  Specialized submit for HTTP messages

  Specified by:
    `http` in interface `MboxLogger`
  Parameters:
    `msg` - the message to submit

### disableBaloons

    public void disableBaloons()

  Specified by:
    `disableBaloons` in interface `MboxLogger`

### exception

    public void exception(java.util.logging.Level x,
                          java.lang.String msg,
                          java.lang.Exception e)

  Specified by:
    `exception` in interface `MboxLogger`

### exception

    public void exception(java.lang.String msg,
                          java.lang.Exception e)

  Specified by:
    `exception` in interface `MboxLogger`

### baloon

    public void baloon(java.lang.String msg,
                       java.lang.String title)

  Specified by:
    `baloon` in interface `MboxLogger`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD